org.apache.maven.scm.provider.synergy.util

## Class SynergyTask

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.util.SynergyTask

    public class SynergyTask
    extends Object

This class contains the different Synergy roles available.

Author:
  Julien Henry

### Constructor Summary

Constructors
Constructor and Description
`SynergyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getComment()`
`Date` `getModifiedTime()`
`int` `getNumber()`
`String` `getUsername()`
`void` `setComment(String comment)`
`void` `setModifiedTime(Date modifiedTime)`
`void` `setNumber(int number)`
`void` `setUsername(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyTask

    public SynergyTask()

### Method Detail

#### getComment

    public String getComment()

Returns:
  the comment

#### setComment

    public void setComment(String comment)

Parameters:
  `comment` - the comment to set

#### getModifiedTime

    public Date getModifiedTime()

Returns:
  the modifiedTime

#### setModifiedTime

    public void setModifiedTime(Date modifiedTime)

Parameters:
  `modifiedTime` - the modifiedTime to set

#### getNumber

    public int getNumber()

Returns:
  the number

#### setNumber

    public void setNumber(int number)

Parameters:
  `number` - the number to set

#### getUsername

    public String getUsername()

Returns:
  the username

#### setUsername

    public void setUsername(String username)

Parameters:
  `username` - the username to set